[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DoSetBounds

Internal function used to set the bounds for the control (Left, Top, Height, Width).

## Declaration

Source position: controls.pp line 1387

`protected procedure TControl.DoSetBounds(`
`ALeft: Integer;`
`ATop: Integer;`
`AWidth: Integer;`
`AHeight: Integer`
`); virtual;`

## Arguments

`ALeft` |  | Value applied to the Left member in the control.
`ATop` |  | Value applied to the Top member in the control.
`AWidth` |  | Value applied to the Width member in the control.
`AHeight` |  | Value applied to the Height member in the control.

## Description

DoSetBounds is a low-level function used to set the private variables FLeft, FTop, FWidth, FHeight. Do not call this function; only the LCL calls it.

It also updates FClientWidth and FClientHeight accordingly.

Override this to update the content layout within the control, for example scroll bars. As always: do not paint here, but call Invalidate and paint using the OnPaint handler or an overridden Paint method.